// pch.h - Precompiled Header
//
// Old Mail Arrangement Plug-in for Becky! 2
// Copyright (C) 2000 by Tietew
//
#pragma once

#define WIN32_LEAN_AND_MEAN
#define STRICT
#define WINVER 0x0500

#pragma warning(disable: 4530)
#pragma warning(disable: 4786)
#include <windows.h>
#include <commctrl.h>
#include <commdlg.h>
#include <shellapi.h>
#include <shlwapi.h>

#include <limits.h>
#include <malloc.h>
#include <vector>
#include <list>
#include <map>
#include <algorithm>
#include <functional>
using namespace std;

#ifndef _DEBUG
// Non-CRT memory allocator
extern HANDLE g_hHeap;
inline void *__cdecl operator new(size_t size)
	{ return HeapAlloc(g_hHeap, HEAP_GENERATE_EXCEPTIONS, size); }
inline void __cdecl operator delete(void *pv)
	{ HeapFree(g_hHeap, 0, pv); }
inline void *__cdecl operator new[](size_t size)
	{ return HeapAlloc(g_hHeap, HEAP_GENERATE_EXCEPTIONS, size); }
inline void __cdecl operator delete[](void *pv)
	{ HeapFree(g_hHeap, 0, pv); }
#endif
