// schedule.h - schedule
//
// Old Mail Arrangement Plug-in for Becky! 2
// Copyright (C) 2000 by Tietew
//
#pragma once
#include "filter.h"

struct SCHEDULEINFO
{
	BOOL bEnable;
	int nTrigger, nFilter;
	int nFMails;
	int nMails, nDays;
	int nBehavior;
	BOOL bThreads, bRecursive;
	String target;
	BOOL bLockout;
	int nLockoutNum, nLockoutUnit;
//	unsigned __int64 nLastScheduled;
	FILTERINFO filter;
};

void CALLBACK OnSchedule(HWND hWnd, LPARAM lParam);
UINT CALLBACK OnUpdateSchedule(HWND hWnd, LPARAM lParam);
void GetScheduleInfo(String folder, SCHEDULEINFO& si);
bool IsLockout(const SCHEDULEINFO& si, LPCSTR pszIni);
void WriteCurTime(LPCSTR pszIni);
bool DoSchedule(String folder, int nTrigger);
